Index: apps/app_meetme.c
===================================================================
--- apps/app_meetme.c	(revision 375865)
+++ apps/app_meetme.c	(working copy)
@@ -3763,6 +3763,10 @@
 						ast_mutex_unlock(&conf->listenlock);
 					} else {
 bailoutandtrynormal:
+						if (ast_check_hangup(chan)) {
+							/* Channel has already hungup, so we need to break out of this loop. */
+							break;
+						}
 						if (musiconhold && !ast_dsp_silence(dsp, &fr, &confsilence) && confsilence < MEETME_DELAYDETECTTALK) {
 							ast_moh_stop(chan);
 							mohtempstopped = 1;

